# GeometryVisualizer

#### new Cesium.GeometryVisualizer(type, scene, entityCollection)
DataSources/GeometryVisualizer.js 128

  A general purpose visualizer for geometry represented by `Primitive` instances.

  Name | Type | Description
  --- | --- | ---
  `type` | GeometryUpdater | The updater to be used for creating the geometry.
  `scene` | Scene | The scene the primitives will be rendered in.
  `entityCollection` | EntityCollection | The entityCollection to visualize.

### Methods

#### destroy()
DataSources/GeometryVisualizer.js 324

  Removes and destroys all primitives created by this instance.

#### isDestroyed() → Boolean
DataSources/GeometryVisualizer.js 317

  Returns true if this object was destroyed; otherwise, false.

  ##### Returns:

  True if this object was destroyed; otherwise, false.

#### update(time) → Boolean
DataSources/GeometryVisualizer.js 189

  Updates all of the primitives created by this visualizer to match their Entity counterpart at the given time.

  Name | Type | Description
  --- | --- | ---
  `time` | JulianDate | The time to update to.

  ##### Returns:

  True if the visualizer successfully updated to the provided time, false if the visualizer is waiting for asynchronous primitives to be created.